﻿using Esri.ArcGISRuntime.Security;
using System.Windows;

namespace ArcGISCertificateCrashTest
{
    public partial class MainWindow : Window
    {
        private readonly MapViewModel mViewModel;

        public MainWindow()
        {
            InitializeComponent();

            mViewModel = new MapViewModel();

            AuthenticationManager.Current.ChallengeHandler = new ChallengeHandler(mViewModel);

            DataContext = mViewModel;

            mViewModel.ConnectToPortal();                        
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            mViewModel.ConnectToPortal();
        }
    }
}
